From: Emmett Butler <723615+emmettbutler@users.noreply.github.com>
Date: Sat, 13 Jan 2024 07:10:26 -0800
Subject: =?utf-8?q?=E2=9C=85_Refactor_tests_for_duplicate_operation_ID_gene?=
 =?utf-8?q?ration_for_compatibility_with_other_tools_running_the_FastAPI_te?=
 =?utf-8?q?st_suite_=28=2310876=29?=
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
Co-authored-by: Sebastián Ramírez <tiangolo@gmail.com>
Bug-Debian: https://bugs.debian.org/1054764
Origin: Upstream, https://github.com/tiangolo/fastapi/commit/f18eadb7de142d6bf37eff900731329a541758f5
---
 tests/test_generate_unique_id_function.py | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/tests/test_generate_unique_id_function.py b/tests/test_generate_unique_id_function.py
index c5ef518..5aeec66 100644
--- a/tests/test_generate_unique_id_function.py
+++ b/tests/test_generate_unique_id_function.py
@@ -1626,6 +1626,9 @@ def test_warn_duplicate_operation_id():
     with warnings.catch_warnings(record=True) as w:
         warnings.simplefilter("always")
         client.get("/openapi.json")
-        assert len(w) == 2
-        assert issubclass(w[-1].category, UserWarning)
-        assert "Duplicate Operation ID" in str(w[-1].message)
+        assert len(w) >= 2
+        duplicate_warnings = [
+            warning for warning in w if issubclass(warning.category, UserWarning)
+        ]
+        assert len(duplicate_warnings) > 0
+        assert "Duplicate Operation ID" in str(duplicate_warnings[0].message)
